Description

Industrial

Domestic

Institutional

Restaurants

Offices

Associated revisions

Revision 1e308e47 - 19/03/2019 12:44 - Philippe May

Refs #7936: add WasteWaterTreatmentOriginType

Revision 3b989eeb - 19/03/2019 15:49 - Philippe May

Refs #7936: improve admin for WasteWaterTreatmentOrigin

Revision ef515b60 - 19/03/2019 17:02 - Philippe May

Refs #7936: add WasteWaterTreatmentOriginType, show waste water origin type in the graph

Revision 3c9c976c - 19/03/2019 23:48 - Philippe May

Refs #7936: waste water treatment plants: add origin types to the info panel, add origin_types in the context for health check template, origin type

name in the origins' tooltips

History

#1 - 19/03/2019 11:31 - Philippe May

- Project changed from GIS to Geomatic studio models for Gisaf

- Subject changed from Adding the wastewater type to the origin to Add the wastewater type to the origin

- Status changed from New to In Progress

In our discussion, we also mentioned that the health check report can also make use of this info: the types of waste water would be used to determine

the type of waste water treatment system, eg. "Offices, Restaurants".

I'll add a new table waste water origin type, and a foreign key to that table in the table origin.

#2 - 19/03/2019 15:58 - Philippe May

Added waste water treatment origin type table, available in the admin http://gisaf.csr.av:8000/old-admin/wastewatertreatmentorigintype , where you

can add the types mentioned in the ticket.

Added also the type to the waste water treatment origin http://gisaf.csr.av:8000/old-admin/wastewatertreatmentorigin/ .
#3 - 19/03/2019 23:56 - Philippe May

- Status changed from In Progress to Resolved

I'll put the changes in production tomorrow.

So, for the health check template, you'll have 2 more things available:

{{ origin_types }}: list of waste water origin types for that system: that would go in the system details

For each origin chapter 3, the following piece displays the type of water: {% if origin.from_origin.type_id %}{{ origin.from_origin.type.name }}{%

endif %}

Powered by TCPDF (www.tcpdf.org)

08/07/2025 2/2

http://www.tcpdf.org

